pepc (1.5.21) unstable; urgency=low

  * Fix the '--list-mechanisms' option.
  * Fix 'pepc topology info' crash on multi-package systems with all CPUs
    offline on one or more packages.
  * Add Clearwater Forest Xeon support.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 29 Nov 2024 00:00:00 +0200

pepc (1.5.20) unstable; urgency=low

  * Improve error message for 'pepc pstates config --epp=<value>' failing with
    the performance governor.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 16 Sep 2024 00:00:00 +0200

pepc (1.5.19) unstable; urgency=low

  * Minor change required to support the 'wult' project. No 'pepc' tool
    functionality changes.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 29 Aug 2024 00:00:00 +0200

pepc (1.5.18) unstable; urgency=low

  * Minor change required to support the 'stats-collect' project. No 'pepc' tool
    functionality changes.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 16 Aug 2024 00:00:00 +0200

pepc (1.5.17) unstable; urgency=low

  * Fix failure when '--dies all' or '--cores all' is specified without
    specifying package numbers.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 24 Jul 2024 00:00:00 +0200

pepc (1.5.16) unstable; urgency=low

  * Update the uncore TPMI spec file to include UFS latency control registers.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 19 Jun 2024 00:00:00 +0200

pepc (1.5.15) unstable; urgency=low

  * Remove the 'pepc cstates --pch-negotiation' option.
  * Improve 'pepc topology info' output and avoid printing identical lines many
    times.
  * Improve '--cores' and '--dies' options handling: do not require '--packages'
    option if there is no abiguity.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 05 Jun 2024 00:00:00 +0200

pepc (1.5.14) unstable; urgency=low

  * Misc. changes in shared modules to support dependent projects, such as
    'stats-collect'. No 'pepc' tool functional changes.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 25 Apr 2024 00:00:00 +0200

pepc (1.5.13) unstable; urgency=low

  * Critical fix: address incorrect 'pepc pastates config --min-uncore-freq'
    behavior on Grand Ridge, Sierra Forest and Granite Rapids platforms.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 11 Apr 2024 00:00:00 +0200

pepc (1.5.12) unstable; urgency=low

  * Critical fix: address the issue of the 'pepc tpmi write' operation writing
    incorrect values in some cases.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Tue, 09 Apr 2024 00:00:00 +0200

pepc (1.5.11) unstable; urgency=low

  * Minor change: do not print a message about missing package C-states table.
    Often it is missing for a good reason, like on the Snow Ridge or Grand
    Ridge.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Tue, 09 Apr 2024 00:00:00 +0200

pepc (1.5.10) unstable; urgency=low

  * Fix TPMI spec files loading defect to ensure 'PEPC_TPMI_DATA_PATH' mechanism
    works.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 27 Mar 2024 00:00:00 +0200

pepc (1.5.9) unstable; urgency=low

  * Fix the following options of 'pepc pstates info' on some systems:
    '--base-freq', '--max-eff-freq', '--min-oper-freq', '--max-turbo-freq'.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Tue, 19 Mar 2024 00:00:00 +0200

pepc (1.5.8) unstable; urgency=low

  * Dummy release, no changes comparing to 1.5.8.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 08 Mar 2024 00:00:00 +0200

pepc (1.5.7) unstable; urgency=low

  * Add 'pepc tpmi read' and 'pepc tpmi write' commands.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 08 Mar 2024 00:00:00 +0200

pepc (1.5.6) unstable; urgency=low

  * Workaround for connecting to remote hosts becaulse of paramiko failing in
    Fedora 39.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 19 Feb 2024 00:00:00 +0200

pepc (1.5.5) unstable; urgency=low

  * New command: pepc tpmi. Only the "ls" sub-command is implemented so far.
  * Improve multi-CPU MSR read speed for the remote usage scenario.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 09 Feb 2024 00:00:00 +0200

pepc (1.5.4) unstable; urgency=low

  * Fix incorrect uncore frequency configure result on systems that use the TPMI
    uncore frequency driver (regression since v1.5.0).

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 22 Jan 2024 00:00:00 +0200

pepc (1.5.3) unstable; urgency=low

  * Fix uncore frequency configuration failure (regression since v1.5.0).
  * Add the '--l1-aspm' option to 'pepc aspm' to get/set L1 ASPM for
    individual PCI devices.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 22 Jan 2024 00:00:00 +0200

pepc (1.5.2) unstable; urgency=low

  * Improve formatting of values in 'pepc info' commands.
  * Fix warning when using the '--pkg-cstate-limit' option (regression
    introduced in v1.5.1).

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 11 Jan 2024 00:00:00 +0200

pepc (1.5.1) unstable; urgency=low

  * Fix a crash when user specifies certain incorrect CPU frequency values
    (regression introduced in v1.5.0).

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 08 Jan 2024 00:00:00 +0200

pepc (1.5.0) unstable; urgency=low

  * Support setting uncore frequency for I/O dies.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Sun, 07 Jan 2024 00:00:00 +0200

pepc (1.4.45) unstable; urgency=low

  * Improve 'pepc topology info' to include I/O dies to the output.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 22 Dec 2023 00:00:00 +0200

pepc (1.4.44) unstable; urgency=low

  * Fix multiple bugs on systems that have I/O dies.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 21 Dec 2023 00:00:00 +0200

pepc (1.4.43) unstable; urgency=low

  * Fix C-state printing with '--yaml' opiton.
  * Fix 'pepc pstates config' failing with 'mdl' CPU and uncore frequency value.
  * Refer to packages and dies when printing about per-package and per-die
    properties, instead for referring to CPU numbers.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 20 Dec 2023 00:00:00 +0200

pepc (1.4.42) unstable; urgency=low

  * Minor logger improvement to satisfy 'wult' project needs.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 24 Nov 2023 00:00:00 +0200

pepc (1.4.41) unstable; urgency=low

  * Fix 'pepc power config --ppl2' faling on some system with a "PPL2 value out
    of range" error message.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 22 Nov 2023 00:00:00 +0200

pepc (1.4.40) unstable; urgency=low

  * Fix uncore module probing on non-Intel systems.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 20 Nov 2023 00:00:00 +0200

pepc (1.4.39) unstable; urgency=low

  * Add '--modules' and '--dies' options to all commands that support '--cores' option. The new
    options allow for specifying module and die numbers.
  * 'pepc * info' commands do not print CPU numbers when a property has the same
    value for all CPUs. Instead, just "all CPUs" is printed. This makes output
    less cluttered.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Sun, 19 Nov 2023 00:00:00 +0200

pepc (1.4.38) unstable; urgency=low

  * Add '--mechanism' option, which can be used for specifying the mechanism for
    getting and setting pepc C-states, P-states, and Power options.
  * Add '--list-mechanisms' option for listing all the available mechanisms.
  * Add new '--frequencies' option for listing CPU frequencies acceptable but
    the Linux driver.
  * Add new 'cppc' mechanism, which can read ACPI CPPC CPU frequency data.
  * Remove '--epb-hw' and '--epp-hw' options. They are replaced with '--epb' and
    '-epp' plus the '--mechanism msr' options combination.
  * Remove '--min-freq-hw' and '--max-freq-hw' options. They are replaced with
    '--min-freq' and '-max-freq' plus the '--mechanism msr' options combination.
  * The 'pepc aspm info' command now has separate '--policy' and '--policies'
    options.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Tue, 07 Nov 2023 00:00:00 +0200

pepc (1.4.37) unstable; urgency=low

  * Fix regression in v1.4.36: 'pepc cstates|pstates|power config' does not print
    information about changed options.
  * Add '--pch-negotiation' option for 'pepc cstates' command.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 25 Oct 2023 00:00:00 +0200

pepc (1.4.36) unstable; urgency=low

  * pepc cstates: when system has no C-states (e.g., booted with idle=poll), do
    not error out, just print that there are no C-states.
  * pepc pstates: add "mdl" special uncore frequency value support.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 18 Oct 2023 00:00:00 +0200

pepc (1.4.35) unstable; urgency=low

  * Add 'base_frequency' support for AMD systems.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 04 Oct 2023 00:00:00 +0200

pepc (1.4.34) unstable; urgency=low

  * Improve scaling printed values with SI prefixes (e.g., print 2.44ms instead
    of 0.00244140625s.
  * Improve readability by printing numeric values without using quotes.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 28 Sep 2023 00:00:00 +0200

pepc (1.4.33) unstable; urgency=low

  * Fix 'pepc pstates info' output, group the properties by source.
  * Add new methods to 'CPUInfo' module to support 'wult' project needs.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 08 Sep 2023 00:00:00 +0200

pepc (1.4.32) unstable; urgency=low

  * pepc cstates info: remove '--pkg-cstate-limits', '--pkg-cstate-limit-lock',
    and '--pkg-cstate-limit-aliases' options. Now this information is printed
    with '--pkg-cstate-limit' option. This effectively reverts the corresponding
    change in v1.4.29.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 17 Aug 2023 00:00:00 +0200

pepc (1.4.31) unstable; urgency=low

  * Fix 'pepc cstates config --cstates all' printing output.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 16 Aug 2023 00:00:00 +0200

pepc (1.4.30) unstable; urgency=low

  * Prevent 'pepc pstates info' and 'pepc power info' from printing unsupported
    properties when no properties are specified.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 14 Aug 2023 00:00:00 +0200

pepc (1.4.29) unstable; urgency=low

  * Fix typo in 'pepc' tool sub-option 'config/info's help text.
  * Group propeties by source only when printing all properties. This
    partially reverts grouping introduced in version 1.4.28.
  * Change '--cstates' option output format, the properties are now
    grouped by their source.
  * Move "governors" from '--governor' option, to it own option '--governors'.
  * Move package C-state limit lock, limits and alises from option
    '--pkg-cstate-limit', to their own options: '--pkg-cstate-limit-lock',
    '--pkg-cstate-limits' and '--pkg-cstate-limit-aliases'.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 31 Jul 2023 00:00:00 +0200

pepc (1.4.28) unstable; urgency=low

  * Change 'info' sub-command output format, the properties are now
    grouped by their source.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 14 Jul 2023 00:00:00 +0200

pepc (1.4.27) unstable; urgency=low

  * Fix crash intoduced in v1.4.26, which occurred when running 'pepc'
    commands on hybrid CPUs.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 06 Jul 2023 00:00:00 +0200

pepc (1.4.26) unstable; urgency=low

  * Fix '--min-freq-hw' and '--max-freq-hw' options on hybrid CPUs.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 06 Jul 2023 00:00:00 +0200

pepc (1.4.25) unstable; urgency=low

  * Add 'pepc topology --hybrid' option.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 28 Jun 2023 00:00:00 +0200

pepc (1.4.24) unstable; urgency=low

  * Improve error messages about unsupported features.
  * Add Niklas Neronin to project maintainers.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 23 Jun 2023 00:00:00 +0200

pepc (1.4.23) unstable; urgency=low

  * Minor changes to support 'wult' project.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 16 Jun 2023 00:00:00 +0200

pepc (1.4.22) unstable; urgency=low

  * Minor changes to support 'stats-collect' project.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 15 Jun 2023 00:00:00 +0200

pepc (1.4.21) unstable; urgency=low

  * Minor updates in self-tests.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 12 Jun 2023 00:00:00 +0200

pepc (1.4.20) unstable; urgency=low

  * Fix scope for CStates properties 'cstate_prewake', 'c1e_autopromote'.
    The scope for these properties is die on Cascade Lake AP.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 07 Jun 2023 00:00:00 +0200

pepc (1.4.19) unstable; urgency=low

  * Fix '--cstate-prewake' and '--c1e-autopromote' options scope: was "core",
    should be "package".

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Tue, 30 May 2023 00:00:00 +0200

pepc (1.4.18) unstable; urgency=low

  * Add '--override-cpu-model' option to 'pepc power/pstates/cstates'.
    This options can be used for overriding the CPU model.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 25 May 2023 00:00:00 +0200

pepc (1.4.17) unstable; urgency=low

  * Add workaround for inconsistent CPU frequency driver behavior on AMD
    systems. This fixes 'pepc pstates config --max-freq max' failure on AMD
    systems.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 17 May 2023 00:00:00 +0200

pepc (1.4.16) unstable; urgency=low

  * Add '--tdp' option to 'pepc power info', for reading CPU package TDP.
  * Add 'pepc power' manual page.
  * Rename 'pepc power' options by removing the '-hw' part from them.
  * Install manual pages when using 'pip install'.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 12 May 2023 00:00:00 +0200

pepc (1.4.15) unstable; urgency=low

  * New 'pepc power' command. Currently supports only RAPL package power.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 03 May 2023 00:00:00 +0200

pepc (1.4.14) unstable; urgency=low

  * Minor change related to process output parsing. Needed for the 'wult'
    project.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 27 Apr 2023 00:00:00 +0200

pepc (1.4.13) unstable; urgency=low

  * Initial (may be not fully correct) Sierra Forrest platform support.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 21 Apr 2023 00:00:00 +0200

pepc (1.4.12) unstable; urgency=low

  * Fix Debian build dependency for pytests to run in build environment
    (take 2).

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 17 Apr 2023 00:00:00 +0200

pepc (1.4.11) unstable; urgency=low

  * Fix Debian build dependency for pytests to run in build environment.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 17 Apr 2023 00:00:00 +0200

pepc (1.4.10) unstable; urgency=low

  * Fix a crash in RHEL, which has an empty newline in '/etc/release'  * do not
    choke on it.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 14 Apr 2023 00:00:00 +0200

pepc (1.4.9) unstable; urgency=low

  * Fix scope for PStates properties 'epb_hw', 'bus_clock' and CStates
    properties 'c1_demotion', 'c1_undemotion', 'pkg_cstate_limit'. The scope
    for these properties is different on different systems.
  * Fix scope for various MSR-based features, such as EPB, and C1 demotion:
    it is platform-dependent and was incorrect for some platforms
    (e.g., Knights Landing).
  * Add '--bus-clock' option to 'pepc pstates info' command.
  * Extend split_csv_line() in Trivial.py.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Tue, 11 Apr 2023 00:00:00 +0200

pepc (1.4.8) unstable; urgency=low

  * Fixed Denverton and Snow Ridge package C-state limits.
  * Split 'pepc' manual page on multiple per-command pages.
  * Improve manual pages.
  * Simplify '--help' output.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Sun, 19 Mar 2023 00:00:00 +0200

pepc (1.4.7) unstable; urgency=low

  * pepc cstates info: print C-state description in addition to latency and
    target residency.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 16 Mar 2023 00:00:00 +0200

pepc (1.4.6) unstable; urgency=low

  * No user-visible changes. Technical release.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 15 Mar 2023 00:00:00 +0200

pepc (1.4.5) unstable; urgency=low

  * No user-visible changes. Technical release.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 15 Mar 2023 00:00:00 +0200

pepc (1.4.4) unstable; urgency=low

  * Refine package C-states support for Granite Rapids Xeon.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 15 Mar 2023 00:00:00 +0200

pepc (1.4.3) unstable; urgency=low

  * Add package C-states support for Granite Rapids Xeon.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 15 Mar 2023 00:00:00 +0200

pepc (1.4.2) unstable; urgency=low

  * Fix errors handling regression introduced in v1.4.1.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 15 Mar 2023 00:00:00 +0200

pepc (1.4.1) unstable; urgency=low

  * Fix 'pepc pstates' crash on old, pre-HWP systems.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 10 Mar 2023 00:00:00 +0200

pepc (1.4.0) unstable; urgency=low

  * When reading unsupported MSRs 'pepc' tool will treat them as "not supported",
    instead of erroring.
  * Column 'Die' is excluded from 'pepc pstates info' default columns, on one
    die per package systems.
  * Column 'Module' is excluded from 'pepc pstates info' default columns, on one
    core per module systems.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 23 Feb 2023 00:00:00 +0200

pepc (1.3.46) unstable; urgency=low

  * Fix 'pepc [pc]states config' failure on systems that do not have the
    'systemct' tool installed (e.g., some Yocto-based systems).
  * Add '--core-siblings' option to all 'pepc' commands.
  * Remove the '--ht-siblings' option of 'pepc cpu-hotplug offline'. The
    '--core-siblings' option should be used instead.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 06 Feb 2023 00:00:00 +0200

pepc (1.3.45) unstable; urgency=low

  * Add partial Granite Rapids Xeon support.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 03 Feb 2023 00:00:00 +0200

pepc (1.3.44) unstable; urgency=low

  * Improve 'Systemctl' module to check if the 'systemctl' tool is installed.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 02 Feb 2023 00:00:00 +0200

pepc (1.3.43) unstable; urgency=low

  * Fix 'pepc cstates config --pkg-cstate-limit' option, take 2. The fix in
    version 1.3.42 did not work in some cases.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 27 Jan 2023 00:00:00 +0200

pepc (1.3.42) unstable; urgency=low

  * Fix 'pepc cstates config --pkg-cstate-limit' option, it did not work
    correctly in some cases because we made wrong assumptions about MSR scope.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 20 Jan 2023 00:00:00 +0200

pepc (1.3.41) unstable; urgency=low

  * Add '-D'/'--dataset' option to 'pepc', it defines the dataset that will be
    used to emulate a host for running the command on.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 09 Jan 2023 00:00:00 +0200

pepc (1.3.40) unstable; urgency=low

  * Minor changes required for the 'wult' project.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 23 Dec 2022 00:00:00 +0200

pepc (1.3.39) unstable; urgency=low

  * Fix 'pepc' crash on some system when it is run without arguments.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 16 Dec 2022 00:00:00 +0200

pepc (1.3.38) unstable; urgency=low

  * Revert changes in 1.3.37 due to them breaking dependent projects.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 16 Dec 2022 00:00:00 +0200

pepc (1.3.37) unstable; urgency=low

  * Fix 'pepc' crash on some system when it is run without arguments.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 16 Dec 2022 00:00:00 +0200

pepc (1.3.36) unstable; urgency=low

  * Fix self-tests: they used real sysfs instead of emulated data in some cases.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 15 Dec 2022 00:00:00 +0200

pepc (1.3.35) unstable; urgency=low

  * Fix regression introduced in 1.3.34: 'pepc cstates info' and
    'pepc pstates info' crashed with 'ValueError' in some cases.
  * Fix error when the '--epb' option is used on a system that does not support
    EPB.
  * Add Grand Ridge SoC support.
  * Add '--epb-hw' and '--epp-hw' options of 'pepc pstates', they can be used to
    access EPB/EPP via the MSR registers (instead of accessing via sysfs).
  * Remove the '--epb-policy' and '--epp-policy' options of 'pepc pstates'. Now
    policy can be specified using the '--epb' and '--epp' options.
  * Change '--epb' and '--epp' options of 'pepc pstates': use sysfs instead of
    MSR. Access via MSR is now done using the '--epb-hw' and '--epp-hw' options.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 14 Dec 2022 00:00:00 +0200

pepc (1.3.34) unstable; urgency=low

  * pepc cstates: do not fail on systems that have no C-states.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 09 Dec 2022 00:00:00 +0200

pepc (1.3.33) unstable; urgency=low

  * Add '--online-only' option to 'pepc topology info' command.
  * Add '--columns' option to 'pepc topology info' command.
  * Add 'module' level support to the 'CPUInfo.py' module.
  * Add Raptor and Meteor Lake support.
  * Change 'pepc topology info' option '--order' to be case insensitive.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 02 Dec 2022 00:00:00 +0200

pepc (1.3.32) unstable; urgency=low

  * Fix regression introduced in 1.3.29: 'pepc cstates config --pkg-cstate-limit'
    did not print anything on some systems.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Tue, 29 Nov 2022 00:00:00 +0200

pepc (1.3.31) unstable; urgency=low

  * Fix regression introduced in 1.3.29: 'pepc cstates info --pkg-cstate-limit'
    did not print anything on some systems.
  * Add '--cpus', '--cores' and '--packages' options to 'pepc topology info'
    command.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 28 Nov 2022 00:00:00 +0200

pepc (1.3.30) unstable; urgency=low

  * Fix regression introduced in 1.3.29: setting CPU frequency sometimes fails.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 25 Nov 2022 00:00:00 +0200

pepc (1.3.29) unstable; urgency=low

  * Fix 'pepc pstates config/info --epp' option: it incorrectly assumed that EPP
    is per-package, even though it is per-CPU.
  * Fix kernel 'DEBUG_LOCKS_WARN_ON' warning caused by wult drivers.
  * Add 'pepc [pc]state info --yaml' option.
  * Add 'topology info' command that prints CPU topology information.
  * Remove '--save' and '--restore' option, add 'pepc [pc]states save/restore'
    sub-commands instead.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 23 Nov 2022 00:00:00 +0200

pepc (1.3.28) unstable; urgency=low

  * Add '--save' -option to 'pepc pstates info' and 'pepc cstates info' commands.
  * Add '--restore' -option to 'pepc pstates config' and 'pepc cstates config'
    commands.
  * Add Emerald Rapids support.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 11 Nov 2022 00:00:00 +0200

pepc (1.3.27) unstable; urgency=low

  * Add options '--min-freq-hw' and '--max-freq-hw' to 'pepc pstate info' command.
  * pepc pstates: add "Pm" special frequency value support.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 07 Nov 2022 00:00:00 +0200

pepc (1.3.26) unstable; urgency=low

  * minor changes needed to support the 'wult' project.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 02 Nov 2022 00:00:00 +0200

pepc (1.3.25) unstable; urgency=low

  * pepc pstates: add "P1" and "Pn" special frequency values support. Now they
    can be used with '--min-freq' and '--max-freq' options.
  * pepc cpu-hotplug online/offline: rename the '--siblings' to '--ht-siblings'.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 31 Oct 2022 00:00:00 +0200

pepc (1.3.24) unstable; urgency=low

  * Add the 'cstates config --intel-pstate-mode' option.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 28 Oct 2022 00:00:00 +0200

pepc (1.3.22) unstable; urgency=low

  * Do not try to read HWP-related features (like EPP) on non-HWP systems.
  * Add and 'intel_pstate' driver operation mode support (passive, active).
  * The "pepc [pc]state info" does not print information about unsupported
    commands any longer.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 12 Oct 2022 00:00:00 +0200

pepc (1.3.21) unstable; urgency=low

  * Fix bugs in tests.
  * Add a couple of helper functions to the 'Trivial' module, they are needed
    for the dependent 'wult' project.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 29 Sep 2022 00:00:00 +0200

pepc (1.3.20) unstable; urgency=low

  * Add scope awareness to the 'MSR.py' module. This speeds 'pepc' commands that
    end up accessing MSR registers which have, say, package scope.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 21 Sep 2022 00:00:00 +0200

pepc (1.3.19) unstable; urgency=low

  * Alder Lake mobile support (CPU model 0xBE).

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 19 Sep 2022 00:00:00 +0200

pepc (1.3.18) unstable; urgency=low

  * Another minor update in 'Exceptions.py' to satisfy 'wult' project needs.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 16 Sep 2022 00:00:00 +0200

pepc (1.3.17) unstable; urgency=low

  * A minor update in 'Exceptions.py' to satisfy 'wult' project needs.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 08 Sep 2022 00:00:00 +0200

pepc (1.3.16) unstable; urgency=low

  * Added OS package information for the 'libbpf' library.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 07 Sep 2022 00:00:00 +0200

pepc (1.3.15) unstable; urgency=low

  * Fix ASPM-related tests failures when they run on real HW (vs emulated).
  * Add 'cstates config --governor' option.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 01 Sep 2022 00:00:00 +0200

pepc (1.3.14) unstable; urgency=low

  * Fix 'cpu info --turbo' failure on turbo-less systems.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Tue, 16 Aug 2022 00:00:00 +0200

pepc (1.3.13) unstable; urgency=low

  * Add Knights Landing/Mill package C-state limit table.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 10 Aug 2022 00:00:00 +0200

pepc (1.3.12) unstable; urgency=low

  * Add idle driver and governor options to 'cstates info'.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 01 Aug 2022 00:00:00 +0200

pepc (1.3.11) unstable; urgency=low

  * Changed Sapphire Rapids PC6 limits: support retention and non-retention
    variants.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 15 Jul 2022 00:00:00 +0200

pepc (1.3.10) unstable; urgency=low

  * Minor improvements required for RPM packaging.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 06 Jul 2022 00:00:00 +0200

pepc (1.3.9) unstable; urgency=low

  * Add RPM packaging support.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 24 Jun 2022 00:00:00 +0200

pepc (1.3.8) unstable; urgency=low

  * pepc: provide a python interpreter search capability dependent projects.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 09 Jun 2022 00:00:00 +0200

pepc (1.3.7) unstable; urgency=low

  * pepc: fix in 'abspath()', which fixes the 'wult' tool using pepc libraries.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 03 Jun 2022 00:00:00 +0200

pepc (1.3.6) unstable; urgency=low

  * pepc: fix running commands in Ubuntu/'dash' (regression in 1.3.5)

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 25 May 2022 00:00:00 +0200

pepc (1.3.5) unstable; urgency=low

  * pepc: add per-property options to 'cstates info' and 'pstates info'.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 25 May 2022 00:00:00 +0200

pepc (1.3.4) unstable; urgency=low

  * pepc cstates config: fix "bad C-state name" failures.
  * pepc: improve error message if sub-command was not specified.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 08 Apr 2022 00:00:00 +0200

pepc (1.3.3) unstable; urgency=low

  * pepc cstates config --pkg-cstate-limit: fix failures on some systems.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 08 Apr 2022 00:00:00 +0200

pepc (1.3.2) unstable; urgency=low

  * pepc cstates config --epp <policy_name>: now fixed and works.
  * pepc: fix EPP support on Broadwell-based systems.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Thu, 07 Apr 2022 00:00:00 +0200

pepc (1.3.1) unstable; urgency=low

  * pepc: do not fail when used in 'dash'.
  * pepc: fix crash introduced in version 1.3.0.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Tue, 22 Mar 2022 00:00:00 +0200

pepc (1.3.0) unstable; urgency=low

  * pepc pstates: re-implemented.
  * pepc pstates: command-line options made consistent with 'pepc cstates'.
  * pepc cstates: added Alder Lake package C-state limits support.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 18 Mar 2022 00:00:00 +0200

pepc (1.2.4) unstable; urgency=low

  * pepc: fix 'pepc cstates config' crash in Ubuntu 20.04.3 LTS.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 02 Mar 2022 00:00:00 +0200

pepc (1.2.3) unstable; urgency=low

  * pepc: fix errors on remote systems not using 'intel_pstate' driver.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Sat, 19 Feb 2022 00:00:00 +0200

pepc (1.2.2) unstable; urgency=low

  * pepc: fix crash on systems for which there are no package C-states aliases.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 18 Feb 2022 00:00:00 +0200

pepc (1.2.1) unstable; urgency=low

  * pepc: fix case-sensitivity bugs.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Mon, 14 Feb 2022 00:00:00 +0200

pepc (1.2.0) unstable; urgency=low

  * Merge the 'cstate set' command into 'cstate config'.
  * Rename 'aspm set' command to 'aspm config'.
  * Improve C-states information printing.
  * Fixed '--cores' and '--packages' dependency for C-state commands.
  * Fix and improve CPU onlining/offlining.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 11 Feb 2022 00:00:00 +0200

pepc (1.1.4) unstable; urgency=low

  * pepc: fix file type markers in 'lsdir()', which fixes 'wult scan'.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 28 Jan 2022 00:00:00 +0200

pepc (1.1.3) unstable; urgency=low

  * pepc: python 3.8 crash fix.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 12 Nov 2021 00:00:00 +0200

pepc (1.1.2) unstable; urgency=low

  * pepc: speed-up the C-state validation, required for wult tool.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 12 Nov 2021 00:00:00 +0200

pepc (1.1.1) unstable; urgency=low

  * pepc: start tagging new releases, otherwise only very minor changes.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Wed, 03 Nov 2021 00:00:00 +0200

pepc (1.1.0) unstable; urgency=low

  * pepc: first release.

 -- Artem Bityutskiy <artem.bityutskiy@intel.com>  Fri, 29 Oct 2021 00:00:00 +0200